/****************************************************************************
**
** Copyright (C) 2005-2008 Trolltech ASA. All rights reserved.
**
** This file is part of the $MODULE$ of the Qt Toolkit.
**
** ** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

package com.trolltech.examples.tutorial;

import com.trolltech.qt.gui.*;

//! [0]
public class FamilyValues
{
    public static void main(String args[])
    {
        QApplication.initialize(args);

//! [1]
        QWidget window = new QWidget();
//! [1] //! [2]
        window.resize(200, 120);
//! [2]

//! [3]
        QPushButton quit = new QPushButton("Quit", window);
//! [3]
        quit.setFont(new QFont("Times", 18, QFont.Weight.Bold.value()));
//! [4]
        quit.setGeometry(10, 40, 180, 40);
//! [4]

        quit.clicked.connect(QApplication.instance(), "quit()");

        window.setWindowTitle("FamilyValues");
//! [5]
        window.show();
//! [5]
        QApplication.exec();
    }
}
//! [0]
